
Foreman - Bug #2786

d-i apt-setup index starts at 0

07/14/2013 01:31 PM - Jeremy Kitchen

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the default preseed template as ships with the foreman, the "enable puppetlabs repo" feature is broken.

d-i apt-setup/local1/repository string \

http://apt.puppetlabs.com/ <%= @host.operatingsystem.release_name %> main

d-i apt-setup/local1/comment string Puppetlabs packages

d-i apt-setup/local1/key string http://apt.puppetlabs.com/pubkey.gpg

 This doesn't work because the scripts start at index 0, so it never adds these repos.

I'll have a PR for this in a moment

History

#1 - 07/14/2013 01:33 PM - Jeremy Kitchen

PR: https://github.com/theforeman/foreman/pull/784

#2 - 07/22/2013 09:56 AM - Greg Sutcliffe

As per Dominic's suggestion, could you submit this to: https://github.com/theforeman/community-templates. Thanks!

#3 - 07/23/2013 03:59 AM - Lukas Zapletal

- Category set to Templates

- Target version set to 1.3.0

#4 - 09/16/2013 12:02 PM - Lukas Zapletal

- Description updated

- Target version deleted (1.3.0)

#5 - 12/21/2013 01:12 AM - Anonymous

- Status changed from New to Closed

This was fixed: https://github.com/theforeman/community-templates/commit/973d4bae2c5cc72e0517afa00737740f0ccbd046
